> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List exchange partners

> Returns a list of all supported exchange partners. Each partner includes a unique ID, name, and status indicating whether they are active or inactive.



## OpenAPI

````yaml get /exchange-partners
openapi: 3.1.0
info:
  title: Dwolla API
  description: Dwolla API Documentation
  contact:
    name: Dwolla Developer Relations Team
    url: https://developers.dwolla.com
    email: api@dwolla.com
  version: '2.0'
  termsOfService: https://www.dwolla.com/legal/tos/
  license:
    name: MIT
    url: https://github.com/Dwolla/dwolla-openapi/blob/master/LICENSE
servers:
  - url: https://api.dwolla.com
    description: Production server
  - url: https://api-sandbox.dwolla.com
    description: Sandbox server
security:
  - clientCredentials: []
tags:
  - name: tokens
    description: Operations related to Application Access Tokens
  - name: root
    description: Root API operations
  - name: accounts
    description: Operations related to Accounts
  - name: customers
    description: Operations related to Customers
  - name: kba
    description: Operations related to Knowledge-Based Authentication
  - name: beneficial owners
    description: Operations related to Beneficial Owners
  - name: documents
    description: Operations related to Documents
  - name: exchanges
    description: Operations related to Exchanges
  - name: exchange sessions
    description: Operations related to Exchange Sessions
  - name: funding sources
    description: Operations related to Funding Sources
  - name: transfers
    description: Operations related to Transfers
  - name: labels
    description: Operations related to Labels
  - name: mass payments
    description: Operations related to Mass Payments
  - name: events
    description: Operations related to Events
  - name: webhook subscriptions
    description: Operations related to Webhook Subscriptions
  - name: webhooks
    description: Operations related to Webhooks
  - name: client tokens
    description: Operations related to Client Tokens
  - name: sandbox simulations
    description: Sandbox-only operations for simulating processing of bank transfers
paths:
  /exchange-partners:
    get:
      tags:
        - exchanges
      summary: List exchange partners
      description: >-
        Returns a list of all supported exchange partners. Each partner includes
        a unique ID, name, and status indicating whether they are active or
        inactive.
      operationId: listExchangePartners
      parameters:
        - $ref: '#/components/parameters/Accept'
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                $ref: '#/components/schemas/ExchangePartners'
        '403':
          description: Forbidden
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
      x-codeSamples:
        - lang: bash
          source: >
            GET https://api.dwolla.com/exchange-partners

            Accept: application/vnd.dwolla.v1.hal+json

            Authorization: Bearer
            pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY


            ...


            {
                "_links": {
                    "self": {
                        "href": "https://api.dwolla.com/exchange-partners",
                        "type": "application/vnd.dwolla.v1.hal+json",
                        "resource-type": "exchange-partner"
                    }
                },
                "_embedded": {
                    "exchange-partners": [
                        {
                            "_links": {
                                "self": {
                                    "href": "https://api-sandbox.dwolla.com/exchange-partners/9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
                                    "type": "application/vnd.dwolla.v1.hal+json",
                                    "resource-type": "exchange-partner"
                                }
                            },
                            "id": "9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
                            "name": "Finicity",
                            "status": "active"
                        },
                        {
                            "_links": {
                                "self": {
                                    "href": "https://api-sandbox.dwolla.com/exchange-partners/292317ec-e252-47d8-93c3-2d128e037aa4",
                                    "type": "application/vnd.dwolla.v1.hal+json",
                                    "resource-type": "exchange-partner"
                                }
                            },
                            "id": "292317ec-e252-47d8-93c3-2d128e037aa4",
                            "name": "MX",
                            "status": "active"
                        }
                    ]
                },
                "total": 2
            }
        - lang: javascript
          source: >
            // Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

            token.get("exchange-partners").then((res) =>
            res.body._embedded["exchange-partners"][0].id); // =>
            '9b55a4b3-34ae-4607-b2d1-622f1eed77f9'
        - lang: python
          source: >
            # Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

            exchange_partners = app_token.get('exchange-partners')

            exchange_partners.body['_embedded']['exchange-partners'][0]['id'] #
            => '9b55a4b3-34ae-4607-b2d1-622f1eed77f9'
        - lang: php
          source: >
            <?php

            // Using dwollaswagger -
            https://github.com/Dwolla/dwolla-swagger-php

            $exchangePartnersApi = new ExchangePartnersApi($apiClient);


            $exchangePartners = $exchangePartnersApi->getExchangePartners();

            $exchangePartners->_embedded->{"exchange-partners"}[0]->id; # =>
            "9b55a4b3-34ae-4607-b2d1-622f1eed77f9"

            ?>
        - lang: ruby
          source: >
            # Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

            exchange_partners = app_token.get "exchange-partners"

            exchange_partners._embedded['exchange-partners'][0].id # =>
            "9b55a4b3-34ae-4607-b2d1-622f1eed77f9"
components:
  parameters:
    Accept:
      name: Accept
      in: header
      required: true
      description: >-
        The media type of the response. Must be
        application/vnd.dwolla.v1.hal+json
      schema:
        type: string
        enum:
          - application/vnd.dwolla.v1.hal+json
        default: application/vnd.dwolla.v1.hal+json
  schemas:
    ExchangePartners:
      title: ExchangePartners
      type: object
      properties:
        _links:
          additionalProperties:
            $ref: '#/components/schemas/HalLink'
        _embedded:
          type: object
          properties:
            exchange-partners:
              type: array
              items:
                $ref: '#/components/schemas/ExchangePartner'
        total:
          type: integer
          format: int32
          example: 3
    ForbiddenError:
      title: ForbiddenError
      description: Error response schema for 403 Forbidden
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          example: Forbidden
        message:
          type: string
          example: The supplied credentials are not authorized for this resource.
    HalLink:
      title: HalLink
      type: object
      properties:
        href:
          type: string
          example: https://api.dwolla.com
        type:
          type: string
          example: application/vnd.dwolla.v1.hal+json
        resource-type:
          type: string
          example: resource-type
    ExchangePartner:
      title: ExchangePartner
      type: object
      required:
        - _links
        - id
        - name
        - status
        - created
      properties:
        _links:
          additionalProperties:
            $ref: '#/components/schemas/HalLink'
        id:
          type: string
          example: d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e
        name:
          type: string
          enum:
            - MX
            - Plaid
            - Flinks
            - Finicity
            - Checkout.com
          example: Plaid
        status:
          type: string
          enum:
            - active
          example: active
        created:
          type: string
          format: date-time
          example: '2022-07-23T00:18:21.419Z'
  securitySchemes:
    clientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /token
          x-speakeasy-token-endpoint-authentication: client_secret_basic
          scopes: {}

````